//
//  Copyright (C) 2003,  . All Rights Reserved.
//
//  PROJECT:    Performance Counter Viewer
//
//  MODULE:     perfdata.h
//
//  PURPOSE:    ,      
//
//  AUTHOR(S):   
//
//  PLATFORMS:  Windows NT/2000/XP
//

#ifndef PERFDATA_H
#define PERFDATA_H

class CPerformanceData
{
public:
	CPerformanceData();
	~CPerformanceData();

	//     .
	//      NULL -  
	int Connect(const TCHAR* s);

	//  Global-
	int GoGlobal();
	
	//  Costly-
	int GoCostly();
	
	//   RegQueryValueEx  
	int GoUser(const TCHAR* s);

	//    
	int ActualSizeInBytes() const;

	//  
	const void* Get() const;

private:

	int Go(const TCHAR* s);

private:
	
	bool  _called;
	void* _data;
	int   _size;
	int   _actual_size;
	HKEY  _hkpd;
};

#endif //PERFDATA_H