//
//  Copyright (C) 2003,  . All Rights Reserved.
//
//  PROJECT:    Performance Counter Viewer
//
//  MODULE:     counterhelpdb.cpp
//
//  PURPOSE:    ,        .
//               -     titledb_for_sample.h
//
//  AUTHOR(S):   
//
//  PLATFORMS:  Windows NT/2000/XP
//
//  FUNCTIONS:
//      

#ifndef COUNTERHELPDB_H
#define COUNTERHELPDB_H

namespace CounterHelpDB
{
	int Load();
	
	void Connect(const TCHAR* computer);

	const TCHAR* GetName(int index);
	const TCHAR* GetHelp(int index);

	int GetLastName();
	int GetLastHelp();

	int GetNamesCount();
	int GetHelpCount();

	void Use009();
	void UseGetSystemDefaultUILanguage();
	void UseOther(const TCHAR* other);

	void UseHKLM();
	void UseHKPD();
	void UseHKPT();
	void UseHKPNT();
}

#endif //COUNTERHELPDB_H