//
//  Copyright (C) 2002, AstroSoft Ltd. All Rights Reserved.
//
//  PROJECT:    
//
//  MODULE:     message.h
//
//  PURPOSE:     ,  ,   
//
//  AUTHOR(S):   
//
//  PLATFORMS:  Windows 2000/XP/NT/9x
//
//  FUNCTIONS:
//       message()
//       question()
//       error()
//       format_error()
//

#ifndef MESSAGE_H
#define MESSAGE_H

namespace message
{
	//  
	const TCHAR* get_title();

	// 
	void message(HWND hwnd, int id);
	//  - (true - false)
	bool question(HWND hwnd, int id);
	//  -- (>0 - <0 - 0)
	int  question_3(HWND hwnd, int id);
	// 
	void error(HWND hwnd, int id);
	//  c hresult-
	void hresult_error(HWND hwnd, int id, int hr);
	//   
	void format_error(HWND hwnd, int id, int err_id);
};


#endif //_MESSAGE_H_